Module javafx.base
Package javafx.util.converter

# Class DateTimeStringConverter

java.lang.Object
javafx.util.StringConverter<Date>
javafx.util.converter.DateTimeStringConverter

Direct Known Subclasses:
  `DateStringConverter`, `TimeStringConverter`

public class DateTimeStringConverter extends StringConverter<Date>

`StringConverter` implementation for `Date` values that represent a date and time.

Since:
  JavaFX 2.1
See Also:
  - `DateStringConverter`
  - `TimeStringConverter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DateFormat`
`dateFormat`
`protected final int`
`dateStyle`
`protected final Locale`
`locale`
`protected final String`
`pattern`
`protected final int`
`timeStyle`

## Constructor Summary

Constructors
Constructor
Description
`DateTimeStringConverter()`
Create a `StringConverter` for `Date` values, using `DateFormat.DEFAULT` styles for date and time.
`DateTimeStringConverter(int dateStyle, int timeStyle)`
Create a `StringConverter` for `Date` values, using specified `DateFormat` styles for date and time.
`DateTimeStringConverter(String pattern)`
Create a `StringConverter` for `Date` values, using the specified pattern.
`DateTimeStringConverter(DateFormat dateFormat)`
Create a `StringConverter` for `Date` values, using the specified `DateFormat` formatter.
`DateTimeStringConverter(Locale locale)`
Create a `StringConverter` for `Date` values, using the specified locale and `DateFormat.DEFAULT` styles for date and time.
`DateTimeStringConverter(Locale locale, int dateStyle, int timeStyle)`
Create a `StringConverter` for `Date` values, using specified locale and `DateFormat` styles for date and time.
`DateTimeStringConverter(Locale locale, String pattern)`
Create a `StringConverter` for `Date` values, using the specified locale and pattern.

## Method Summary

Modifier and Type
Method
Description
`Date`
`fromString(String value)`
Converts the string provided into an object defined by the specific converter.
`protected DateFormat`
`getDateFormat()`
Return a `DateFormat` instance to use for formatting and parsing in this `StringConverter`.
`String`
`toString(Date value)`
Converts the object provided into its string form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### locale

protected final Locale locale

### pattern

protected final String pattern

### dateFormat

protected final DateFormat dateFormat

### dateStyle

protected final int dateStyle

Since:
  JavaFX 8u40

### timeStyle

protected final int timeStyle

Since:
  JavaFX 8u40

## Constructor Details

### DateTimeStringConverter

public DateTimeStringConverter()
Create a `StringConverter` for `Date` values, using `DateFormat.DEFAULT` styles for date and time.

### DateTimeStringConverter

public DateTimeStringConverter(int dateStyle, int timeStyle)
Create a `StringConverter` for `Date` values, using specified `DateFormat` styles for date and time.

Parameters:
  `dateStyle` - the given formatting style. For example, `DateFormat.SHORT` for "M/d/yy" in the US locale.
  `timeStyle` - the given formatting style. For example, `DateFormat.SHORT` for "h:mm a" in the US locale.
Since:
  JavaFX 8u40

### DateTimeStringConverter

public DateTimeStringConverter(Locale locale)
Create a `StringConverter` for `Date` values, using the specified locale and `DateFormat.DEFAULT` styles for date and time.

Parameters:
  `locale` - the given locale.

### DateTimeStringConverter

public DateTimeStringConverter(Locale locale, int dateStyle, int timeStyle)
Create a `StringConverter` for `Date` values, using specified locale and `DateFormat` styles for date and time.

Parameters:
  `locale` - the given locale.
  `dateStyle` - the given formatting style. For example, `DateFormat.SHORT` for "M/d/yy" in the US locale.
  `timeStyle` - the given formatting style. For example, `DateFormat.SHORT` for "h:mm a" in the US locale.
Since:
  JavaFX 8u40

### DateTimeStringConverter

public DateTimeStringConverter(String pattern)
Create a `StringConverter` for `Date` values, using the specified pattern.

Parameters:
  `pattern` - the pattern describing the date and time format.

### DateTimeStringConverter

public DateTimeStringConverter(Locale locale, String pattern)
Create a `StringConverter` for `Date` values, using the specified locale and pattern.

Parameters:
  `locale` - the given locale.
  `pattern` - the pattern describing the date and time format.

### DateTimeStringConverter

public DateTimeStringConverter(DateFormat dateFormat)
Create a `StringConverter` for `Date` values, using the specified `DateFormat` formatter.

Parameters:
  `dateFormat` - the `DateFormat` to be used for formatting and parsing.

## Method Details

### fromString

public Date fromString(String value)
Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.

Specified by:
  `fromString` in class `StringConverter<Date>`
Parameters:
  `value` - the `String` to convert
Returns:
  an object representation of the string passed in.

### toString

public String toString(Date value)
Converts the object provided into its string form. Format of the returned string is defined by the specific converter.

Specified by:
  `toString` in class `StringConverter<Date>`
Parameters:
  `value` - the object of type `T` to convert
Returns:
  a string representation of the object passed in.

### getDateFormat

protected DateFormat getDateFormat()

Return a `DateFormat` instance to use for formatting and parsing in this `StringConverter`.

Returns:
  a `DateFormat` instance for formatting and parsing in this `StringConverter`